Delete Ring issue

2016-04-28 01:06 PM - Enrico Fiore

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22699

Description

Hi,

I noticed that "Delete Ring" doesn't work and the hole is not fill up. I played around with snapping options and tolerance, without any

effect.

I have also add a label with area measure ($area) and I noticed that when I use "Delete Ring" the area value increases, I suppose

because the hole is filled, but in the view the hole remains visible.

So I moved the polygon, with Move Features, and the polygon was regenerated without hole.

I work in "wgs 84 / utm 32N" and in a 64 bit OS

Associated revisions

Revision 6c9bc938 - 2016-04-29 04:10 AM - Nyall Dawson

Fix delete ring tool not updating rendered feature (fix #14741)

Revision 82449471 - 2016-04-29 04:12 AM - Nyall Dawson

Fix delete ring tool not updating rendered feature (fix #14741)

(cherry-picked from 6c9bc938125376a2670ecf9047eff5ca853bf3ba)

History

#1 - 2016-04-28 02:29 PM - Saber Razmjooei

- OS version deleted (14.04)

- Operating System deleted (Ubuntu 64 bit)

- Priority changed from Normal to Severe/Regression

Also confirmed in master.

#2 - 2016-04-28 07:12 PM - Nyall Dawson

- Status changed from Open to Closed
Fixed in changeset commit:"6c9bc938125376a2670ecf9047eff5ca853bf3ba".
